import java.util.*;
import java.io.IOException;
import lab.game.*;

public class Main{
  public static void main(String[] args) throws IOException, InterruptedException{
    Scanner sc = new Scanner(System.in);
    // Get Data
    System.out.println("Enter N: ");
    int n = Integer.parseInt(sc.next());
    System.out.println("Enter M: ");
    int m = Integer.parseInt(sc.next());
    System.out.println("Enter number of polices: ");
    int p = Integer.parseInt(sc.next());
    // Initialize Board
    Board mainBoard = new Board(n, m, p);
    mainBoard.initBoard();
    // Start the game
    try {
      mainBoard.startGame();
    }
    catch(IOException e) {
      e.printStackTrace();
    }
    sc.close();
  }
}
